Description: get rid of FORTIFY_SOURCE=2 CPPFLAGS
 move libusb configuration to Make.ruls to avoid using dpkg-buildflags
 which inserts -DFORTIFY_SOURCE=2 which breaks most things
 .
 usbredir (0.3.1-2ubuntu7uk1) unstable; urgency=low
 .
   * uniklu rebuild
Author: Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>

---
The information above should follow the Patch Tagging Guidelines, please
checkout http://dep.debian.net/deps/dep3/ to learn about the format. Here
are templates for supplementary fields that you might want to add:

Origin: <vendor|upstream|other>, <url of original patch>
Bug: <url in upstream bugtracker>
Bug-Debian: http://bugs.debian.org/<bugnumber>
Bug-Ubuntu: https://launchpad.net/bugs/<bugnumber>
Forwarded: <no|not-needed|url proving that it has been forwarded>
Reviewed-By: <name and email of someone who approved the patch>
Last-Update: <YYYY-MM-DD>

--- usbredir-0.3.1.orig/Make.rules
+++ usbredir-0.3.1/Make.rules
@@ -6,9 +6,12 @@ PREFIX  = /usr
 LIBDIR  = $(PREFIX)/lib
 SBINDIR = $(PREFIX)/bin
 
+LIBUSB_CFLAGS=-I/usr/include/libusb-1.0
+LIBUSB_LIBS='-L/usr/lib/*-linux-gnu -lusb-1.0'
+
 # These ones should not be overriden from the cmdline
-override CPPFLAGS += -I../usbredirparser -I../usbredirhost -DUSBREDIR_VERSION='"$(USBREDIR_VERSION)"'
-override LDFLAGS += -L../usbredirparser -L../usbredirhost
+override CPPFLAGS = -I../usbredirparser -I../usbredirhost -DUSBREDIR_VERSION='"$(USBREDIR_VERSION)"' $(LIBUSB_CFLAGS)
+override LDFLAGS += -L../usbredirparser -L../usbredirhost $(LIBUSB_LIBS)
 
 # And last various rules
 %.o: %.c
